# Brook

## `CLI` and `GUI`

-   CLI(Command-line interface)

    -   You can run commands after **entering the command-line interface**. [What is CLI(Chinese)](https://talks.txthinking.com/)
    -   Usually, everyone uses the command line interface on Linux servers. Of course, Linux also has desktops that can also run GUI
    -   Of course, macOS and Windows also have command-line interfaces, but you may not use them frequently

-   GUI(Graphical user interface)

    -   Usually, the applications opened by **double-clicking/clicking** on macOS/Windows/iOS/Android are all GUIs

## Brook CLI files and GUI files

**Usually**, if you use Brook, you will need a combination of **Server** and **Client**, **Of course** Brook CLI also has **many other independent functions**

-   Brook CLI file

    -   The Brook CLI file is an **independent command file**, it can be said that there is no concept of installation, just download this file to your computer, **run it after granting it executable permissions in the command line interface**
    -   Brook CLI file has both **server function** and **client function**, Brook CLI file also has **many other independent functions**
    -   If you are under Linux and you are not very familiar with Linux, **It is strongly recommended to use the ubuntu system and root user** to run commands. The command to switch to the root user is `$ sudo su`
    -   **Each function of Brook requires only one command, no configuration is required**

-   Brook GUI file

    -   **Keep system up to date**
    -   Brook GUI file is a graphical client, only has **client function**

**Brook files description**, all can be downloaded in [Releases](https://github.com/txthinking/brook/releases) page. Of course, you can also see in the left menu that use `nami` to automatically select Brook CLI file

| File Name                          | CLI/GUI | Applicable system                |
| ---------------------------------- | ------- | -------------------------------- |
| brook_linux_amd64                  | CLI     | Linux 64 bit                     |
| brook_linux_386                    | CLI     | Linux 32 bit                     |
| brook_linux_arm64                  | CLI     | Linux arm64                      |
| brook_linux_arm7                   | CLI     | Linux arm7                       |
| brook_linux_arm6                   | CLI     | Linux arm6                       |
| brook_linux_arm5                   | CLI     | Linux arm5                       |
| brook_linux_mips                   | CLI     | Linux mips                       |
| brook_linux_mipsle                 | CLI     | Linux mipsle                     |
| brook_linux_mips_softfloat         | CLI     | Linux mips softfloat             |
| brook_linux_mipsle_softfloat       | CLI     | Linux mipsle softfloat           |
| brook_linux_mips64                 | CLI     | Linux mips64                     |
| brook_linux_mips64le               | CLI     | Linux mips64le                   |
| brook_linux_mips64_softfloat       | CLI     | Linux mips64 softfloat           |
| brook_linux_mips64le_softfloat     | CLI     | Linux mips64le softfloat         |
| brook_linux_ppc64                  | CLI     | Linux ppc64                      |
| brook_linux_ppc64le                | CLI     | Linux ppc64le                    |
| brook_freebsd_386                  | CLI     | FreeBSD 32 bit                   |
| brook_freebsd_amd64                | CLI     | FreeBSD 64 bit                   |
| brook_netbsd_386                   | CLI     | NetBSD 32 bit                    |
| brook_netbsd_amd64                 | CLI     | NetBSD 64 bit                    |
| brook_openbsd_386                  | CLI     | OpenBSD 32 bit                   |
| brook_openbsd_amd64                | CLI     | OpenBSD 64 bit                   |
| brook_windows_amd64.exe            | CLI     | Windows 64 bit                   |
| brook_windows_386.exe              | CLI     | Windows 32 bit                   |
| brook_darwin_amd64.exe             | CLI     | macOS 64 bit                     |
| Brook.dmg                          | GUI     | macOS 64 bit                     |
| Brook.exe                          | GUI     | Windows 64 bit                   |
| Brook.apk                          | GUI     | Android                          |
| brook_linux_amd64.ipk              | GUI     | OpenWrt Linux 64 bit             |
| brook_linux_386.ipk                | GUI     | OpenWrt Linux 32 bit             |
| brook_linux_arm64.ipk              | GUI     | OpenWrt Linux arm64              |
| brook_linux_arm7.ipk               | GUI     | OpenWrt Linux arm7               |
| brook_linux_arm6.ipk               | GUI     | OpenWrt Linux arm6               |
| brook_linux_arm5.ipk               | GUI     | OpenWrt Linux arm5               |
| brook_linux_mips.ipk               | GUI     | OpenWrt Linux mips               |
| brook_linux_mipsle.ipk             | GUI     | OpenWrt Linux mipsle             |
| brook_linux_mips_softfloat.ipk     | GUI     | OpenWrt Linux mips softfloat     |
| brook_linux_mipsle_softfloat.ipk   | GUI     | OpenWrt Linux mipsle softfloat   |
| brook_linux_mips64.ipk             | GUI     | OpenWrt Linux mips64             |
| brook_linux_mips64le.ipk           | GUI     | OpenWrt Linux mips64le           |
| brook_linux_mips64_softfloat.ipk   | GUI     | OpenWrt Linux mips64 softfloat   |
| brook_linux_mips64le_softfloat.ipk | GUI     | OpenWrt Linux mips64le softfloat |
| brook_linux_ppc64.ipk              | GUI     | OpenWrt Linux ppc64              |
| brook_linux_ppc64le.ipk            | GUI     | OpenWrt Linux ppc64le            |
